/****************************************************************************/
/* GF19 ( 予約語管理ﾃｰﾌﾞﾙ )                                                 */
/*                                                                          */
/* Created : 2014/06/13 18:54:38                                            */
/****************************************************************************/
CREATE TABLE GF19 (
   DBNAME       VARCHAR         (   20 )                    NOT NULL            /*  10 DB名称       */
 , YOYAKU       VARCHAR         (   60 )                    NOT NULL            /*  20 予約語       */
 , CDYOYAKU     VARCHAR         (    1 )        DEFAULT '0' NOT NULL            /*  30 予約語種別   */
 , NAME_JA      VARCHAR         (  200 )                                        /*  40 名称         */
 , ALTERNATE    VARCHAR         ( 1000 )                                        /*  50 代替候補     */
 , CONTENTS     BLOB SUB_TYPE 1                                                 /*  60 内容         */
 , RANKCOM      VARCHAR         (    1 )        DEFAULT '0' NOT NULL            /*  70 共通化ﾗﾝｸ    */
 , UNIQ         BIGINT                                      NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR         (    1 )        DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR         (   14 )                                        /* 820 登録日時     */
 , PGSET        VARCHAR         (   10 )                                        /* 830 作成PG       */
 , PGPSET       VARCHAR         (   10 )                                        /* 840 作成親PG     */
 , USRSET       VARCHAR         (   10 )                                        /* 850 作成社員     */
 , DYUPD        VARCHAR         (   14 )                                        /* 860 更新日時     */
 , PGUPD        VARCHAR         (   10 )                                        /* 870 更新PG       */
 , PGPUPD       VARCHAR         (   10 )                                        /* 880 更新親PG     */
 , USRUPD       VARCHAR         (   10 )                                        /* 890 更新者       */
);

CREATE SEQUENCE GF19S00 ;

CREATE TRIGGER GF19T00 FOR GF19
  BEFORE INSERT AS 
  BEGIN 
    NEW.UNIQ = GEN_ID( GF19S00,1 );
  END; 
